Skip to main content
POST
/
discord
/
user
/
{snowflake}
Fetch User Profile
curl --request POST \
  --url https://api.example.com/discord/user/{snowflake}
{
  "cache_time": 123,
  "extra": {
    "avatar": {
      "animated": true,
      "url": "<string>"
    },
    "avatar_url": "<string>",
    "banner": {
      "animated": true,
      "url": "<string>"
    },
    "banner_url": "<string>",
    "flags": [
      "<string>"
    ]
  },
  "user": {
    "accent_color": 123,
    "avatar": "<string>",
    "avatar_decoration_data": {
      "asset": "<string>",
      "sku_id": 123
    },
    "banner": "<string>",
    "bot": true,
    "discriminator": "<string>",
    "global_name": "<string>",
    "id": 123,
    "public_flags": 123,
    "system": true,
    "username": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.seraph.si/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

snowflake
string
required

Discord Snowflake

Response

OK

cache_time
integer
extra
object
user
object